std::pointer_traits< _Ptr > Struct Template Reference

Inherits std::__ptr_traits_elem< _Ptr, typename >.

## Public Types

using | difference_type = __detected_or_t< ptrdiff_t, __difference_type, _Ptr >
using | pointer = _Ptr
template<typename _Up >
using | rebind = typename __rebind< _Ptr, _Up >::type

## Detailed Description

### template<typename _Ptr>
struct std::pointer_traits< _Ptr >

Uniform interface to all pointer-like types.

Definition at line 100 of file ptr_traits.h.

## Member Typedef Documentation

## difference_type

template<typename _Ptr >

using std::pointer_traits< _Ptr >::difference_type = __detected_or_t<ptrdiff_t, __difference_type, _Ptr>

The type used to represent the difference between two pointers.

Definition at line 118 of file ptr_traits.h.

## pointer

template<typename _Ptr >

using std::pointer_traits< _Ptr >::pointer = _Ptr

The pointer type.

Definition at line 115 of file ptr_traits.h.

## rebind

template<typename _Ptr >
template<typename _Up >

using std::pointer_traits< _Ptr >::rebind = typename __rebind<_Ptr, _Up>::type

A pointer to a different type.

Definition at line 123 of file ptr_traits.h.

The documentation for this struct was generated from the following file:

- ptr_traits.h